# ChosenInlineResult - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.abstracts / ChosenInlineResult

# ChosenInlineResult

(common) `interface ChosenInlineResult` (source)

### Properties

(common)

#### inlineMessageId

`abstract val inlineMessageId: InlineMessageIdentifier?`

(common)

#### query

`abstract val query: String`

(common)

#### resultId

`abstract val resultId: InlineQueryIdentifier`

(common)

#### user

`abstract val user: User`

### Inheritors

(common)

#### BaseChosenInlineResult

`data class BaseChosenInlineResult : ChosenInlineResult`

(common)

#### LocationChosenInlineResult

`data class LocationChosenInlineResult : ChosenInlineResult`